Last Comment Bug 354446 - update language.properties and langGroups.properties on the 1.8 branch
: update language.properties and langGroups.properties on the 1.8 branch
Status: RESOLVED FIXED
[no l10n impact]
: fixed1.8.1.1
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: 1.8 Branch
: All All
: -- normal (vote)
: ---
Assigned To: Simon Montagu :smontagu
:
Mentors:
Depends on: 258599 310028 314907 341860
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-27 00:56 PDT by Steffen Wilberg
Modified: 2006-11-28 06:13 PST (History)
1 user (show)
mbeltzner: blocking1.8.1-
dveditz: blocking1.8.1.1+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Combined patch (6.84 KB, patch)
2006-11-23 08:28 PST, Simon Montagu :smontagu
smontagu: review+
smontagu: superreview+
dveditz: approval1.8.1.1+
Details | Diff | Review

Description Steffen Wilberg 2006-09-27 00:56:01 PDT
language.properties determines which langueages to show in the Select Languages dialog, langGroups.properties determines which default character encoding to use for each language.

These changes haven't made it to the 1.8 branch yet:
http://bonsai.mozilla.org/cvslog.cgi?file=mozilla/intl/locale/src/language.properties&rev=HEAD&mark=1.18,1.17
http://bonsai.mozilla.org/cvslog.cgi?file=mozilla/intl/locale/src/langGroups.properties&rev=HEAD&mark=1.17,1.16

Bug 347632 patches regionNames.properties as well, which has l10n impact, so it's too late for that.
Comment 1 Steffen Wilberg 2006-09-27 00:59:03 PDT
This should be considered for 1.8 final or at least the next point-release.
Comment 2 Mike Beltzner [:beltzner, not reading bugmail] 2006-09-27 10:13:58 PDT
We'll consider this for a point release.
Comment 3 Daniel Veditz [:dveditz] 2006-11-20 16:15:48 PST
Sounds like a well-baked set of patches... Simon, is there any reason not to land these in 1.8.1.1 ?
Comment 4 Simon Montagu :smontagu 2006-11-23 08:28:44 PST
Created attachment 246405 [details] [diff] [review]
Combined patch

Requesting approval. The original patches all had r=jshin and blanket sr=roc (for intl properties files)
Comment 5 Axel Hecht [:Pike] 2006-11-23 08:51:15 PST
Note to drivers, these .properties files are not part of the localization process and are fine to change even on stable branches. Make that a fine-by=me.
Comment 6 Daniel Veditz [:dveditz] 2006-11-27 16:46:01 PST
Comment on attachment 246405 [details] [diff] [review]
Combined patch

approved for 1.8 branch, a=dveditz for drivers

Note You need to log in before you can comment on or make changes to this bug.